<div [formGroup]="formDiagnostico">
    <nb-card>
        <nb-card-header>Crear Etapa</nb-card-header>
        <nb-card-body>
            <span class="margin-t-l mb-1 col-4 text-right nonePadding" id="spanDescripcion"
                [ngClass]="{ 'red-text': isSubmitted && formControlsDiagnostico.descripcion.errors}"
                for="descripcion">Descripción*</span>
            <br>
            <input nbInput type="text" id="descripcion" placeholder="Nombre de la etapa"
                [(ngModel)]="descripcionIngresada" aria-describedby="spanDescripcion" formControlName="descripcion"
                class="form-control"
                [ngClass]="{ 'is-invalid': isSubmitted && formControlsDiagnostico.descripcion.errors, 'is-valid': isSubmitted && !formControlsDiagnostico.descripcion.errors }">
            <div *ngIf=" isSubmitted && formControlsDiagnostico.descripcion.errors"
                class="help-block col-12 nonePadding">
                <div *ngIf="formControlsDiagnostico.descripcion.errors.required"> <small
                        class="red-text form-text nonePadding text-right">La descripci&oacute;n es requerida.</small>
                </div>
            </div>
        </nb-card-body>
    </nb-card>

    <nb-card>
        <nb-card-header>Diagn&oacute;sticos</nb-card-header>
        <nb-card-body>
            <div>
                <nb-card-body>
                    <span class="margin-t-l mb-1 col-4 text-right nonePadding" id="spanDiagnostico"
                     for="diagnostico">Diagnóstico *</span>
                    <br>
                    <div class="row">
                        <div class="col">
                            <div class="ng-autocomplete">
                                <ng-autocomplete [data]="diagnosticos" [searchKeyword]="keyword" [minQueryLength]=4
                                 #autocomplete placeHolder="Ingrese minimo 4 caracteres" (selected)='selectEvent($event)'
                                    historyIdentifier="diagnosticos" [itemTemplate]="itemTemplate"
                                    [notFoundTemplate]="notFoundTemplate" style="width: 80%;">
                                </ng-autocomplete>

                                <ng-template #itemTemplate let-item>
                                    <a [innerHTML]="item.name"></a>
                                </ng-template>

                                <ng-template #notFoundTemplate let-notFound>
                                    <div [innerHTML]="notFound"></div>
                                </ng-template>
                            </div>
                        </div>
                        <div class="col">
                            <button nbButton [disabled]="!diagnosticoSeleccionado" (click)="agregarDiagnostico()">Agregar</button>
                        </div>
                    </div>                    
                </nb-card-body>
            </div>

            <div>
                <nb-card-header>Diagn&oacute;sticos agregados</nb-card-header>
                <div>
                    <ng2-smart-table [settings]="settings" [source]="source">
                    </ng2-smart-table>
                </div>
            </div>
        </nb-card-body>
    </nb-card>
</div>